Bug 1872986 - Replace `Not Firing` Alert State with -
Summary: Replace `Not Firing` Alert State with -
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Vikram Raj
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 05:15 UTC by Vikram Raj
Modified: 2020-08-27 08:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6457 None closed Bug 1872986: Replace Not Firing Alert State with - and Not Firing filter with Inactive 2020-09-02 13:31:01 UTC

Description Vikram Raj 2020-08-27 05:15:55 UTC
Description of problem:

For inActive rules, we are showing Alert State as `Not Firing` which considered confusing because it looked like it represented an additional alert state.

Steps to Reproduce:

1. Navigate to Monitoring Alerts tab
2. In the Alert State column see the Not Firing for inactive rules.

Actual results:
Not Firing Alert State has been shown for inactive rules.

Expected results:
Alert State should be - for inActive Alert State.

Reproducibility (Always/Intermittent/Only Once):
always

Build Details:
4.6.0-0.ci-2020-08-20-163422

Additional info:
https://coreos.slack.com/archives/G015E9G7DJN/p1598001784003500


Note You need to log in before you can comment on or make changes to this bug.